layers with singular osm dataset fail to properly refresh on canvas extend change

2016-03-24 02:45 AM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Data Provider/OGR

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 22533

Description

When a singular OSM dataset is loaded twice as two different geometry types (say point and multipolygon), panning the canvas around

results in broken rendering of layer.

Steps to reproduce

    1. Load the attached test project (zop.qgs)

    2. When the project is loaded, use your mouse to pan the canvas to the north of half the canvas in length

    3. The rendering of the two layers gets corrupted

    4. If you hit on the refresh canvas toolbar button, you'll see the layers get rendered properly (proper extend, polygon not chopped off,

not feature missing)

This only happens if different geometries are loaded of a same OSM dataset. This might have to do with internal data connection sharing

getting confused. It's a pretty serious issue, setting as blocker.

History

#1 - 2016-03-25 03:08 AM - Giovanni Manghi

- Target version changed from 2.16 to Version 2.16

#2 - 2016-03-27 10:12 PM - Mathieu Pellerin - nIRV

More testing against the test project:

    -  QGIS 2.8 LTR: issue is not present, layers rendering just fine when panning

    -  QGIS 2.14.1: issue is present

This means that, unless the issue is addressed, it'll become a LTR regression when people will move from 2.8.X to 2.14.X.

#3 - 2016-03-27 10:16 PM - Mathieu Pellerin - nIRV

Lastly, the regression is present both on windows (with gdal 2.0.2) and ubuntu (with gdal 1.11.3).

#4 - 2016-03-27 11:28 PM - Nathan Woodrow

Confirmed here as well on master

#5 - 2016-04-10 03:24 AM - Jürgen Fischer

might be introduced in commit:b4f4663
#6 - 2016-04-10 02:10 PM - Sandro Mani

Proposed fix here: https://github.com/qgis/QGIS/pull/2991

#7 - 2016-04-26 08:28 PM - Mathieu Pellerin - nIRV

- Resolution set to fixed/implemented

- Status changed from Open to Closed

- % Done changed from 0 to 100

Fixed in commit 79493ea39492030f638a416ece71fdb104198a89

Files

zop.zip 4 MB 2016-03-24 Mathieu Pellerin - nIRV
